# Heatmap options

Source: `R/apex-options.R`
`heatmap_opts.Rd`

Use these options in `ax_plotOptions`.

    heatmap_opts(
      radius = NULL,
      enableShades = NULL,
      shadeIntensity = NULL,
      colorScale = NULL,
      ...
    )

## Arguments

radius | Numeric. Radius of the rectangle inside heatmap.
enableShades | Logical. Enable different shades of color depending on the value
shadeIntensity | Numeric `[0,1]`. The intensity of the shades generated for each value.
colorScale | List.
... | Additional parameters.

## Value

A `list` of options that can be used in `ax_plotOptions`.

## Note

See https://apexcharts.com/docs/options/plotoptions/heatmap/.

## Examples

    df <- expand.grid(
      month = month.name,
      person = c("Obi-Wan", "Luke", "Anakin", "Leia")
    )
    df$value <- sample(0:1, nrow(df), TRUE)

    apex(
      data = df,
      mapping = aes(x = month, y = person, fill = value),
      type = "heatmap"
    ) %>%
      ax_plotOptions(
        heatmap = heatmap_opts(
          enableShades = FALSE,
          colorScale = list(
            ranges = list(
              list(from = 0, to = 0.5, color = "#FF0000"),
              list(from = 0.5, to = 1, color = "#088A08")
            )
          )
        )
      )